| Qore FreetdsSqlUtil Module Reference 1.6

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
FreetdsSqlUtil::FreetdsTable Class Reference

provides the Mssql-specific implementation of the SqlUtil::AbstractTable interface More...

Inheritance diagram for FreetdsSqlUtil::FreetdsTable:
[legend]

## Public Member Functions
| constructor (AbstractDatasource nds, string nname, *hash< auto > opts)
| Creates the object with the given arguments.

## Protected Member Functions
*string | getSqlValueImpl (auto v)
| returns a string for use in SQL queries representing the DB-specific value of the argument

## Detailed Description

provides the Mssql-specific implementation of the SqlUtil::AbstractTable interface

## Member Function Documentation

## ◆ getSqlValueImpl()

*string FreetdsSqlUtil::FreetdsTable::getSqlValueImpl | ( | auto | v | ) |
| protected

returns a string for use in SQL queries representing the DB-specific value of the argument

returns NOTHING if the type cannot be converted to an SQL string